//
//  TodoCell.swift
//  iCloudToDoExample
//
//  Created by Scott Lee on 2016. 10. 14..
//  Copyright © 2016년 Studio G.B.U. All rights reserved.
//

import UIKit
import CloudKit

class TodoCell: UITableViewCell {
    @IBOutlet weak var todoTitle: UITextField!
    @IBOutlet weak var todoCount: UIButton!
    
    var tableViewController: TableViewController!
    var isSub = false
    var rowNum: Int!
    var isComplete = false
    
    @IBAction func todoTitleChanged(_ sender: UITextField) {
        var record: CKRecord!
        
        if let indexPath = tableViewController.tableView.indexPath(for: self) {
            if self.isSub {
                record = ((TableViewController.todo.data[rowNum!] as! NSArray)[1] as! NSMutableArray)[indexPath.row] as! CKRecord
            } else {
                record = (TableViewController.todo.data[indexPath.row] as! NSArray)[0] as! CKRecord
            }
            
            record.setValue(self.todoTitle.text, forKey: "title")
            record.setValue(false, forKey: "isSaved")
        }
        
        sender.resignFirstResponder()
        sender.isEnabled = false
        tableViewController.showSaveBtn()
    }
    
    @IBAction func subCountTouch(_ sender: UIButton) {
        if let indexPath = tableViewController.tableView.indexPath(for: self) {
            tableViewController.tableView.selectRow(at: indexPath, animated: false, scrollPosition: UITableViewScrollPosition.none)
        }
    }
}
