//
//  defaultManager.swift
//  MyRun
//
//  Created by Scott Lee on 2016. 10. 26..
//  Copyright © 2016년 Studio G.B.U. All rights reserved.
//

import UIKit

let KeySharedUserDefault = "group.studiogbu.MyRun"
let KeyForData: String = "workouts"

extension UserDefaults {
    public static func getDefault() -> UserDefaults? {
        let userDefault: UserDefaults? = UserDefaults(suiteName: KeySharedUserDefault)

        return userDefault
    }
    
    public func addWorkout(workouts: inout [[String: AnyObject]]?) {
        workouts?.append(["state": 1 as AnyObject,"start_date": Date() as AnyObject])
        self.set(workouts, forKey: KeyForData)
    }
    
    public func getWorkout(workouts: inout [[String: AnyObject]]?) {
        if let workoutlist = self.object(forKey: KeyForData) as? [[String: AnyObject]] {
            workouts = workoutlist
        } else {
            workouts = [[String: AnyObject]]()
            
            if workouts != nil {
                self.set(workouts, forKey: KeyForData)
            }
        }
    }
}
